org.jfree.layout

## Class CenterLayout

- java.lang.Object
- - org.jfree.layout.CenterLayout

All Implemented Interfaces:
  java.awt.LayoutManager, java.io.Serializable

    public class CenterLayout
    extends java.lang.Object
    implements java.awt.LayoutManager, java.io.Serializable

A layout manager that displays a single component in the center of its container.

Author:
  David Gilbert
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CenterLayout()` Creates a new layout manager.

### Method Summary

Methods
`void` `addLayoutComponent(java.awt.Component comp)` Not used.
`void` `addLayoutComponent(java.lang.String name, java.awt.Component comp)` Not used.
`void` `layoutContainer(java.awt.Container parent)` Lays out the components.
`java.awt.Dimension` `minimumLayoutSize(java.awt.Container parent)` Returns the minimum size.
`java.awt.Dimension` `preferredLayoutSize(java.awt.Container parent)` Returns the preferred size.
`void` `removeLayoutComponent(java.awt.Component comp)` Not used.
`void` `removeLayoutComponent(java.lang.String name, java.awt.Component comp)` Not used.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CenterLayout

    public CenterLayout()

Creates a new layout manager.

### Method Detail

#### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

Returns the preferred size.

Specified by:
  `preferredLayoutSize` in interface `java.awt.LayoutManager`
Parameters:
  `parent` - the parent.
Returns:
  the preferred size.

#### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

Returns the minimum size.

Specified by:
  `minimumLayoutSize` in interface `java.awt.LayoutManager`
Parameters:
  `parent` - the parent.
Returns:
  the minimum size.

#### layoutContainer

    public void layoutContainer(java.awt.Container parent)

Lays out the components.

Specified by:
  `layoutContainer` in interface `java.awt.LayoutManager`
Parameters:
  `parent` - the parent.

#### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp)

Not used.

Parameters:
  `comp` - the component.

#### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

Not used.

Specified by:
  `removeLayoutComponent` in interface `java.awt.LayoutManager`
Parameters:
  `comp` - the component.

#### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                          java.awt.Component comp)

Not used.

Specified by:
  `addLayoutComponent` in interface `java.awt.LayoutManager`
Parameters:
  `name` - the component name.
  `comp` - the component.

#### removeLayoutComponent

    public void removeLayoutComponent(java.lang.String name,
                             java.awt.Component comp)

Not used.

Parameters:
  `name` - the component name.
  `comp` - the component.